Bug 837786 - [whql][block] BSOD with error code F4 happened when run job "Plug and Play Driver Test(Certification)" on win2k3-64 on HCK
[whql][block] BSOD with error code F4 happened when run job "Plug and Play Dr...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.4
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 05:17 EDT by dawu
Modified: 2013-07-29 05:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-29 05:10:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dawu 2012-07-05 05:17:20 EDT
Description of problem:
BSOD with error code F4 happened when run job "Plug and Play Driver Test(Certification)" on win2k3-64OD with error code F4 happened when run job "Plug and Play Driver Test(Certification)" on win2k3-64

Version-Release number of selected component (if applicable):
kernel-2.6.32-278.el6.x86_64
qemu-kvm-0.12.1.2-2.295.el6.x86_64
virtio-win-prewhql-0.1-29

How reproducible:
always

Steps to Reproduce:
1.Start guest with CLI:
  /usr/libexec/qemu-kvm -m 2G -smp 2 -cpu cpu64-rhel6,+x2apic -usb -device usb-tablet -drive file=win2k3-64-0702.raw,format=raw,if=none,id=drive-virtio0,boot=on,cache=none,werror=stop,rerror=stop -device virtio-blk-pci,drive=drive-virtio0,id=virtio-blk-pci0,bootindex=1 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device rtl8139,netdev=hostnet0,mac=00:10:16:23:43:01,bus=pci.0,addr=0x4 -uuid 85f5da82-d9e1-4256-a22d-8ac0916a9afa -rtc base=localtime -no-kvm-pit-reinjection -monitor stdio -name win2k3-64 -spice disable-ticketing,port=5931 -vga qxl -bios /usr/share/seabios/bios-pm.bin

2. Run job "Plug and Play Driver Test (Certification)"

3. Run task "Run Test"
  
Actual results:
BSOD with error code F4 happened.

Expected results:
Job should passed without any error.

Additional info:
1: kd> !analyze -v
*******************************************************************************
*                                                                             *
*                        Bugcheck Analysis                                    *
*                                                                             *
*******************************************************************************

CRITICAL_OBJECT_TERMINATION (f4)
A process or thread crucial to system operation has unexpectedly exited or been
terminated.
Several processes and threads are necessary for the operation of the
system; when they are terminated (for any reason), the system can no
longer function.
Arguments:
Arg1: 0000000000000003, Process
Arg2: fffffadfce25dc20, Terminating object
Arg3: fffffadfce25de88, Process image file name
Arg4: fffff800013c2020, Explanatory message (ascii)

Debugging Details:
------------------

Page 7a400 not present in the dump file. Type ".hh dbgerr004" for details
Page 7a318 not present in the dump file. Type ".hh dbgerr004" for details
unable to get nt!KiCurrentEtwBufferOffset
unable to get nt!KiCurrentEtwBufferBase

PROCESS_OBJECT: fffffadfce25dc20

IMAGE_NAME:  csrss.exe

DEBUG_FLR_IMAGE_TIMESTAMP:  0

MODULE_NAME: csrss

FAULTING_MODULE: 0000000000000000 

PROCESS_NAME:  csrss.exe

EXCEPTION_RECORD:  fffffadfc85c3be0 -- (.exr 0xfffffadfc85c3be0)
ExceptionAddress: 0000000077ee58a1
   ExceptionCode: c0000005 (Access violation)
  ExceptionFlags: 00000000
NumberParameters: 2
   Parameter[0]: 0000000000000001
   Parameter[1]: 00000000007a0ff8
Attempt to write to address 00000000007a0ff8

EXCEPTION_CODE: (NTSTATUS) 0xc0000005 - The instruction at 0x%08lx referenced memory at 0x%08lx. The memory could not be %s.

DEFAULT_BUCKET_ID:  DRIVER_FAULT

CURRENT_IRQL:  0

ERROR_CODE: (NTSTATUS) 0xc0000005 - The instruction at 0x%08lx referenced memory at 0x%08lx. The memory could not be %s.

EXCEPTION_PARAMETER1:  0000000000000001

EXCEPTION_PARAMETER2:  00000000007a0ff8

WRITE_ADDRESS:  00000000007a0ff8 

FOLLOWUP_IP: 
+0
00000000`77ee58a1 ??              ???

FAULTING_IP: 
+0
00000000`77ee58a1 ??              ???

FAILED_INSTRUCTION_ADDRESS: 
+0
00000000`77ee58a1 ??              ???

BUGCHECK_STR:  0xF4_c0000005

STACK_TEXT:  
fffffadf`c85c32a8 fffff800`012bf3bd : 00000000`000000f4 00000000`00000003 fffffadf`ce25dc20 fffffadf`ce25de88 : nt!KeBugCheckEx
fffffadf`c85c32b0 fffff800`0102e33d : 00000000`007a2201 fffff800`c0000005 fffffadf`cdff0040 fffffadf`c85c33d0 : nt!NtTerminateProcess+0x173
fffffadf`c85c3350 fffff800`0102e800 : fffff800`010810b6 fffffadf`c85c3be0 fffffadf`c85c3cf0 00000000`007a1000 : nt!KiSystemServiceCopyEnd+0x3
fffffadf`c85c34e8 fffff800`010810b6 : fffffadf`c85c3be0 fffffadf`c85c3cf0 00000000`007a1000 fffffadf`c85c3c70 : nt!KiServiceLinkage
fffffadf`c85c34f0 fffff800`0102e6af : fffffadf`c85c3be0 fffffadf`ce59edb0 fffffadf`c85c3c70 00000000`66a33820 : nt!KiDispatchException+0x3ad
fffffadf`c85c3af0 fffff800`0102d521 : fffffa80`009fa020 fffffadf`c85c3cf0 00000000`77ef2c01 00000000`00000000 : nt!KiExceptionExit
fffffadf`c85c3c70 00000000`77ee58a1 : 00000000`00000000 00000000`00000000 00000000`00000000 00000000`00000000 : nt!KiPageFault+0x1e1
00000000`007a1000 00000000`00000000 : 00000000`00000000 00000000`00000000 00000000`00000000 00000000`00000000 : 0x77ee58a1


STACK_COMMAND:  kb

FOLLOWUP_NAME:  MachineOwner

FAILURE_BUCKET_ID:  X64_0xF4_c0000005_VRF_IMAGE_csrss.exe

BUCKET_ID:  X64_0xF4_c0000005_VRF_IMAGE_csrss.exe

Followup: MachineOwner
---------
Comment 4 Vadim Rozenfeld 2012-10-26 07:39:19 EDT
Hi Dawn,
Could you please post setupapi log files as well?

Thank you,
Vadim.
Comment 5 dawu 2012-10-29 01:35:26 EDT
(In reply to comment #4)
> Hi Dawn,
> Could you please post setupapi log files as well?
> 
> Thank you,
> Vadim.

Hi Vadim,
Please refer to the setupapi log file in the attachment.

Best Regards,
Dawn
Comment 8 Ronen Hod 2013-07-29 05:10:25 EDT
Closing,
We decided not to touch 2003.
It is probably the same issue as other blk bugs.

Note You need to log in before you can comment on or make changes to this bug.